/**
 * @since 1.0.0
 */
import type { IoTDataPlaneClientConfig } from "@aws-sdk/client-iot-data-plane";
import { Effect, Layer } from "effect";
import type { IoTDataPlaneService } from "./IoTDataPlaneService.js";
/**
 * @since 1.0.0
 * @category iot-data-plane service config
 */
export declare const withIoTDataPlaneServiceConfig: {
    (config: IoTDataPlaneService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: IoTDataPlaneService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category iot-data-plane service config
 */
export declare const setIoTDataPlaneServiceConfig: (config: IoTDataPlaneService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toIoTDataPlaneClientConfig: Effect.Effect<IoTDataPlaneClientConfig>;
//# sourceMappingURL=IoTDataPlaneServiceConfig.d.ts.map