/**
 * @since 1.0.0
 */
import { IoTDataPlaneClient } from "@aws-sdk/client-iot-data-plane";
import { Context, Effect, Layer } from "effect";
declare const IoTDataPlaneClientInstance_base: Context.TagClass<IoTDataPlaneClientInstance, "@effect-aws/client-iot-data-plane/IoTDataPlaneClientInstance", IoTDataPlaneClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class IoTDataPlaneClientInstance extends IoTDataPlaneClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const make: Effect.Effect<IoTDataPlaneClient, never, import("effect/Scope").Scope>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const layer: Layer.Layer<IoTDataPlaneClientInstance, never, never>;
export {};
//# sourceMappingURL=IoTDataPlaneClientInstance.d.ts.map